<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi-2013.day1.dynasties"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="dynasties.in"
                output-name ="dynasties.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "2s"
                memory-limit ="134217728"
            >
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="dynasties.in"
                output-name ="dynasties.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="2s"
                memory-limit ="134217728"
            >

				<test-group
					comment = "Подзадача 1"
            		score = "sum"
            		feedback = "group-score"
            		group-bonus = "20"
				>
					<test points = "0" comment = "Ручной тест" />
					<test points = "0" comment = "Ручной тест" />
					<test points = "0" comment = "Ручной тест" />
					<test points = "0" comment = "Случайный тест с концентрацией в конце" />
					<test points = "0" comment = "Случайный тест, N = 2" />
					<test points = "0" comment = "Тест, построенный по конкретному ответу" />
					<test points = "0" comment = "Случайный равномерный тест" />
					<test points = "0" comment = "Ручной тест" />
					<test points = "0" comment = "Ручной тест" />
					<test points = "0" comment = "Ручной тест против опечаток в решении" />
					<test points = "0" comment = "Тест с распределением горочка" />
					<test points = "0" comment = "Тест с распределением горочка" />
				</test-group>

				<test-group
					comment = "Подзадача 2"
            		score = "sum"
            		feedback = "group-score"
            		group-bonus = "20"
				>
					<test points = "0" comment = "Случайный тест с концентрацией в конце для квадрата" />
					<test points = "0" comment = "Тест, построенный по конкретному ответу" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест против кубического решения" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Тест против кубического решения" />
				</test-group>

				<test-group
					comment = "Подазадача 3"
            		score = "sum"
            		feedback = "group-score"
            		group-bonus = "20"
				>
					<test points = "0" comment = "Случайный тест с концентрацией в конце" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Тест против жадного решения" />
					<test points = "0" comment = "Тест против жадного решения" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Тест с распределением горочка" />
					<test points = "0" comment = "Тест с распределением горочка" />
					<test points = "0" comment = "Случайный тест" />
				</test-group>

				<test-group
					comment = "Подзадача 4"
            		score = "sum"
            		feedback = "group-score"
            		group-bonus = "20"
				>
					<test points = "0" comment = "Случайный тест с концентрацией в конце" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест против жадного решения" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Случайный тест с концентрацией на краях" />
					<test points = "0" comment = "Случайный тест с концентрацией на краях" />
					<test points = "0" comment = "Случайный тест с концентрацией на краях" />
					<test points = "0" comment = "Тест против жадного решения" />
					<test points = "0" comment = "Случайный тест" />
				</test-group>

				<test-group
					comment = "Подазадача 5"
            		score = "sum"
            		feedback = "group-score"
            		group-bonus = "20"
				>
					<test points = "0" comment = "Случайный тест с концентрацией в конце" />
					<test points = "0" comment = "Тест против жажного решения" />
					<test points = "0" comment = "Тест против жажного решения" />
					<test points = "0" comment = "Случайный равномерный тест" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Случайный тест" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест против жадного решения" />
					<test points = "0" comment = "Ручной большой тест с маленьким ответом" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест, полученный стресс-тестированием" />
					<test points = "0" comment = "Тест против жадного решениея" />
					<test points = "0" comment = "Случайный тест" />
				</test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
